Skip site navigation (1) Skip section navigation (2)

BUG #6029: packaged installer fails to configure ldap

From: "mark" <mark(at)remidata(dot)com>
To: pgsql-bugs(at)postgresql(dot)org
Subject: BUG #6029: packaged installer fails to configure ldap
Date: 2011-05-17 17:16:00
Message-ID: 201105171716.p4HHG0bs057105@wwwmaster.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-bugs
The following bug has been logged online:

Bug reference:      6029
Logged by:          mark
Email address:      mark(at)remidata(dot)com
PostgreSQL version: 9.0.2
Operating system:   RHEL 6.0 x86_64
Description:        packaged installer fails to configure ldap
Details: 

The source code installation can be configured to work with LDAP, but the
one-click installer cannot by default.

The one-click installer fails to detect openldap and does not attempt to
configure or link with openldap.  We first noticed pg_hba.conf disallowed
specifying ldap authentication.  We verified openldap and openldap-devel are
installed and up-to-date.  We then verified using "pg_configure --configure"
and "ldd postgres" that the PGHOME was not built with ldap support.  For
some reason the one-click installer did not detect openldap was installed
and so did not include it in the configure options.

I have tested this on RHEL 5.5 and RHEL 6.0, both x86_64.  On all servers we
installed openldap and openldap-devel for x86_64 prior to installing
postgres.  On the RHEL 6.0 server we additionally have ldap installed via
Centify.  We can use ldapsearch to connect to the ldap server and query it,
so we know our RHEL servers are functional in that respect.

To make the one-click installer make use of the openldap software we had to
install the i686 edition of it (yum install openldap.i686).  This "trick" is
not required when installing via source code.

We wiped and rebuilt the servers multiple times to verify this behavior.

To install postgresql 9.0 from source we first installed openldap and
openldap-devel (both were x86_64 only - we made sure the i686 was not
installed), and then we ran "./configure --with-ldap" followed by make &&
make install.  The postgres executable appears to support ldap (verified
using "pg_configure --configure" which shows the --with-ldap option, and
"ldd postgres" which shows /usr/lib64/libldap-2.3.so.0).


Server Specs:
--------------
1. The RHEL 5.5 server is a vm with 4 cores and 8 GB RAM running kernel
2.6.18-194.el5 #1 SMP x86_64 GNU/Linux.

2. The RHEL 6.0 server is a HP DL580G7 with 32 cores and 256 GB RAM running
kernel 2.6.32-71.el6.x86_64 #1 SMP GNU/Linux.

pgsql-bugs by date

Next:From: Eduardo Velasquez MDate: 2011-05-18 02:58:52
Subject: BUG #6030: Query Tools bloqueado
Previous:From: amine.fatamDate: 2011-05-17 16:00:08
Subject:

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group